Subject: Re: [PATCH v2 02/10] t/test-lib: wire up NO_ICONV prerequisite

From: Taylor Blau <[email-masked]>
Date: Tue, 15 Oct 2024 19:53:12 -0400

On Tue, Oct 15, 2024 at 01:45:11PM +0200, Patrick Steinhardt wrote:
> Further note that there are several "!MINGW" conditions in t4201, and
> all of these fail due to iconv-related errors. This is quite likely a
> leftover from times before dce7d29551 (msvc: support building Git using
> MS Visual C++, 2019-06-25), which switched Windows-based builds over
> from "NO_ICONV=YesPlease" to "NEEDS_LIBICONV=YesPlease". Consequently,
> adapt those tests to also use the new ICONV prerequisite.

This appears to break CI on Windows when I merged this into 'jch':

    https://github.com/ttaylorr/git/actions/runs/11355564982/job/31585450667

I'm going to temporarily eject this from 'jch' and 'seen' until we can
properly deal with this.

Thanks,
Taylor